com.saxonica.bytecode.map

## Class AtomicSequenceMappingFunction

- java.lang.Object
- - com.saxonica.bytecode.map.AtomicSequenceMappingFunction

- All Implemented Interfaces:
    ItemMappingFunction<Item,AtomicValue>

      public abstract class AtomicSequenceMappingFunction
      extends Object
      implements ItemMappingFunction<Item,AtomicValue>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `BuiltInAtomicType` | `requiredPrimitiveType`
    `ConversionRules` | `rules`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AtomicSequenceMappingFunction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BuiltInAtomicType` | `getRequiredPrimitiveType()`
    `ConversionRules` | `getRules()`
    `abstract AtomicValue` | `mapItem(Item item)` Map one item to another item.
    `void` | `setRequiredPrimitiveType(BuiltInAtomicType requiredPrimitiveType)`
    `void` | `setRules(ConversionRules rules)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rules

          public ConversionRules rules

    - #### requiredPrimitiveType

          public BuiltInAtomicType requiredPrimitiveType

  - ### Constructor Detail

    - #### AtomicSequenceMappingFunction

          public AtomicSequenceMappingFunction()

  - ### Method Detail

    - #### getRules

          public ConversionRules getRules()

    - #### getRequiredPrimitiveType

          public BuiltInAtomicType getRequiredPrimitiveType()

    - #### setRules

          public void setRules(ConversionRules rules)

    - #### setRequiredPrimitiveType

          public void setRequiredPrimitiveType(BuiltInAtomicType requiredPrimitiveType)

    - #### mapItem

          public abstract AtomicValue mapItem(Item item)
                                       throws XPathException

      Description copied from interface: `ItemMappingFunction`
      Map one item to another item.
      Specified by:
        `mapItem` in interface `ItemMappingFunction<Item,AtomicValue>`
      Parameters:
        `item` - The input item to be mapped.
      Returns:
        either the output item, or null.
      Throws:
        `XPathException` - if a dynamic error occurs

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.